Loading...
Searching...
No Matches
BALL::VIEW::ResidueNumberColorProcessor Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/standardColorProcessor.h>`

Inheritance diagram for BALL::VIEW::ResidueNumberColorProcessor:

## Public Member Functions

| ResidueNumberColorProcessor ()
virtual void | getColor (const Composite &composite, ColorRGBA &color_to_be_set)
void | setFirstColor (const ColorRGBA &color)
void | setMiddleColor (const ColorRGBA &color)
void | setLastColor (const ColorRGBA &color)
const ColorRGBA & | getFirstColor () const
const ColorRGBA & | getMiddleColor () const
const ColorRGBA & | getLastColor () const
virtual bool | start ()
Public Member Functions inherited from BALL::VIEW::ColorProcessor
| ColorProcessor ()
| Default Constructor.
| ColorProcessor (const ColorProcessor &color_calculator)
| Copy constructor.
virtual | ~ColorProcessor ()
| Destructor.
virtual void | clear ()
void | set (const ColorProcessor &color_calculator)
| Assignment.
const ColorProcessor & | operator= (const ColorProcessor &color_calculator)
bool | updateAlwaysNeeded ()
void | setDefaultColor (const ColorRGBA &color)
const ColorRGBA & | getDefaultColor () const
virtual Processor::Result | operator() (GeometricObject *&object)
Size | getTransparency () const
virtual void | setTransparency (Size value)
void | setComposites (const std::list< const Composite * > *composites)
const std::list< const Composite * > * | getComposites ()
| Return a pointer to the Composites.
void | clearAtomGrid ()
void | setAdditionalGridDistance (float distance)
float | getAdditionalGridDistance () const
void | setMinGridSpacing (float spacing)
AtomGrid & | getAtomGrid ()
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setModelType (ModelType type)
virtual void | createAtomGrid (const Composite *from_mesh=0)
const Atom * | getClosestItem (const Vector3 &v) const
Public Member Functions inherited from BALL::UnaryProcessor< GeometricObject * >
| UnaryProcessor ()
virtual | ~UnaryProcessor ()
virtual bool | finish ()
virtual Processor::Result | operator() (GeometricObject *&)

## Protected Member Functions

bool | canUseMeshShortcut_ (const Composite &composite)
Protected Member Functions inherited from BALL::VIEW::ColorProcessor
virtual void | colorMeshFromGrid_ (Mesh &mesh)

## Protected Attributes

GeometricObjectList | list_
ColorRGBA | first_color_
ColorRGBA | middle_color_
ColorRGBA | last_color_
ColorMap | table_
Residue | dummy_residue_
HashMap< const Residue *, Position > | residue_map_
Protected Attributes inherited from BALL::VIEW::ColorProcessor
bool | update_always_needed_
ColorRGBA | default_color_
ColorRGBA | selection_color_
Size | transparency_
const std::list< const Composite * > * | composites_
AtomGrid | atom_grid_
ModelType | model_type_
const Composite * | last_composite_of_grid_
float | additional_grid_distance_
float | min_spacing_

## Additional Inherited Members

Public Types inherited from BALL::VIEW::ColorProcessor
typedef HashSet< const Composite * > | CompositeSet
| A HashSet with the used Composites, see also Representation.
typedef HashGrid3< const Atom * > | AtomGrid
| a threedimensioal grid with the pointers to the atoms
typedef HashGridBox3< const Atom * > | AtomBox
| a single box in the threedimensional grid
Public Types inherited from BALL::UnaryFunctor< GeometricObject *, Processor::Result >
typedef Processor::Result | result_type
typedef GeometricObject * | argument_type
typedef GeometricObject *& | argument_reference
typedef const GeometricObject *& | const_argument_reference
typedef GeometricObject ** | argument_pointer
typedef const GeometricObject ** | const_argument_pointer

## Detailed Description

ColorProcessor for coloring by the numbers of the Residue 's.

Definition at line 88 of file standardColorProcessor.h.

## Constructor & Destructor Documentation

## ResidueNumberColorProcessor()

BALL::VIEW::ResidueNumberColorProcessor::ResidueNumberColorProcessor | ( |  | ) |

## Member Function Documentation

## canUseMeshShortcut_()

bool BALL::VIEW::ResidueNumberColorProcessor::canUseMeshShortcut_ | ( | const Composite & | composite | ) |

protected virtual

Reimplemented from BALL::VIEW::ColorProcessor.

## getColor()

virtual void BALL::VIEW::ResidueNumberColorProcessor::getColor | ( | const Composite & | composite,
|  | ColorRGBA & | color_to_be_set )

virtual

Calculate a color for a Composite. The given ColorRGBA instance is set to the calculated color. This method is called by the operator() method. Here it just sets the default color. You have to overload this operator in derived classes.

Reimplemented from BALL::VIEW::ColorProcessor.

## getFirstColor()

const ColorRGBA & BALL::VIEW::ResidueNumberColorProcessor::getFirstColor | ( |  | ) | const

inline

Definition at line 111 of file standardColorProcessor.h.

## getLastColor()

const ColorRGBA & BALL::VIEW::ResidueNumberColorProcessor::getLastColor | ( |  | ) | const

inline

Definition at line 117 of file standardColorProcessor.h.

## getMiddleColor()

const ColorRGBA & BALL::VIEW::ResidueNumberColorProcessor::getMiddleColor | ( |  | ) | const

inline

Definition at line 114 of file standardColorProcessor.h.

## setFirstColor()

void BALL::VIEW::ResidueNumberColorProcessor::setFirstColor | ( | const ColorRGBA & | color | ) |

inline

Definition at line 102 of file standardColorProcessor.h.

## setLastColor()

void BALL::VIEW::ResidueNumberColorProcessor::setLastColor | ( | const ColorRGBA & | color | ) |

inline

Definition at line 108 of file standardColorProcessor.h.

## setMiddleColor()

void BALL::VIEW::ResidueNumberColorProcessor::setMiddleColor | ( | const ColorRGBA & | color | ) |

inline

Definition at line 105 of file standardColorProcessor.h.

## start()

virtual bool BALL::VIEW::ResidueNumberColorProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::VIEW::ColorProcessor.

## Member Data Documentation

## dummy_residue_

Residue BALL::VIEW::ResidueNumberColorProcessor::dummy_residue_

protected

Definition at line 128 of file standardColorProcessor.h.

## first_color_

ColorRGBA BALL::VIEW::ResidueNumberColorProcessor::first_color_

protected

Definition at line 126 of file standardColorProcessor.h.

## last_color_

ColorRGBA BALL::VIEW::ResidueNumberColorProcessor::last_color_

protected

Definition at line 126 of file standardColorProcessor.h.

## list_

GeometricObjectList BALL::VIEW::ResidueNumberColorProcessor::list_

protected

Definition at line 125 of file standardColorProcessor.h.

## middle_color_

ColorRGBA BALL::VIEW::ResidueNumberColorProcessor::middle_color_

protected

Definition at line 126 of file standardColorProcessor.h.

## residue_map_

HashMap<const Residue*, Position> BALL::VIEW::ResidueNumberColorProcessor::residue_map_

protected

Definition at line 129 of file standardColorProcessor.h.

## table_

ColorMap BALL::VIEW::ResidueNumberColorProcessor::table_

protected

Definition at line 127 of file standardColorProcessor.h.